Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util
Class PropertiesHelper

    java.lang.Object
      org.hibernate.util.PropertiesHelper

    public final class PropertiesHelper

extends Object

Method Summary
`static boolean` | `getBoolean(String property, Properties properties)`
`static boolean` | `getBoolean(String property, Properties properties, boolean defaultValue)`
`static int` | `getInt(String property, Properties properties, int defaultValue)`
`static Integer` | `getInteger(String property, Properties properties)`
`static String` | `getString(String property, Properties properties, String defaultValue)`
`static Properties` | `maskOut(Properties props, String key)` replace a property by a starred version
`static String` | `resolvePlaceHolder(String property)`
`static void` | `resolvePlaceHolders(Properties properties)`
`static Map` | `toMap(String property, String delim, Properties properties)`
`static String[]` | `toStringArray(String propValue, String delim)`
`static String[]` | `toStringArray(String property, String delim, Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBoolean

    public static boolean getBoolean(String property,
                                     Properties properties)

### getBoolean

    public static boolean getBoolean(String property,
                                     Properties properties,
                                     boolean defaultValue)

### getInt

    public static int getInt(String property,
                             Properties properties,
                             int defaultValue)

### getString

    public static String getString(String property,
                                   Properties properties,
                                   String defaultValue)

### getInteger

    public static Integer getInteger(String property,
                                     Properties properties)

### toMap

    public static Map toMap(String property,
                            String delim,
                            Properties properties)

### toStringArray

    public static String[] toStringArray(String property,
                                         String delim,
                                         Properties properties)

### toStringArray

    public static String[] toStringArray(String propValue,
                                         String delim)

### maskOut

    public static Properties maskOut(Properties props,
                                     String key)

  replace a property by a starred version

  Parameters:
    `props` - properties to check
    `key` - proeprty to mask
  Returns:
    cloned and masked properties

### resolvePlaceHolders

    public static void resolvePlaceHolders(Properties properties)

### resolvePlaceHolder

    public static String resolvePlaceHolder(String property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD